DERT61UTF8String (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.asn1

## Class DERT61UTF8String

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.DERT61UTF8String

- All Implemented Interfaces:
    ASN1Encodable, ASN1String, Encodable

  Deprecated.
  don't use this class, introduced in error, it will be removed.

      public class DERT61UTF8String
      extends ASN1Primitive
      implements ASN1String

  DER T61String (also the teletex string) - a "modern" encapsulation that uses UTF-8. If at all possible, avoid this one! It's only for emergencies. Use UTF8String instead.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DERT61UTF8String(byte[] string)` Deprecated. basic constructor - string encoded as a sequence of bytes.
    `DERT61UTF8String(java.lang.String string)` Deprecated. basic constructor - with string UTF8 conversion assumed.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DERT61UTF8String` | `getInstance(ASN1TaggedObject obj, boolean explicit)` Deprecated. return an T61 String from a tagged object.
    `static DERT61UTF8String` | `getInstance(java.lang.Object obj)` Deprecated. return a T61 string from the passed in object.
    `byte[]` | `getOctets()` Deprecated. Return the encoded string as a byte array.
    `java.lang.String` | `getString()` Deprecated. Decode the encoded string and return it, UTF8 assumed.
    `int` | `hashCode()` Deprecated.
    `java.lang.String` | `toString()` Deprecated.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `equals, fromByteArray, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue, toASN1Object`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DERT61UTF8String

          public DERT61UTF8String(byte[] string)

      Deprecated.
      basic constructor - string encoded as a sequence of bytes.

    - #### DERT61UTF8String

          public DERT61UTF8String(java.lang.String string)

      Deprecated.
      basic constructor - with string UTF8 conversion assumed.

  - ### Method Detail

    - #### getInstance

          public static DERT61UTF8String getInstance(java.lang.Object obj)

      Deprecated.
      return a T61 string from the passed in object. UTF-8 Encoding is assumed in this case.
      Parameters:
        `obj` - a DERT61UTF8String or an object that can be converted into one.
      Returns:
        a DERT61UTF8String instance, or null
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getInstance

          public static DERT61UTF8String getInstance(ASN1TaggedObject obj,
                                     boolean explicit)

      Deprecated.
      return an T61 String from a tagged object. UTF-8 encoding is assumed in this case.
      Parameters:
        `obj` - the tagged object holding the object we want
        `explicit` - true if the object is meant to be explicitly tagged false otherwise.
      Returns:
        a DERT61UTF8String instance, or null
      Throws:
        `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

    - #### getString

          public java.lang.String getString()

      Deprecated.
      Decode the encoded string and return it, UTF8 assumed.
      Specified by:
        `getString` in interface `ASN1String`
      Returns:
        the decoded String

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### getOctets

          public byte[] getOctets()

      Deprecated.
      Return the encoded string as a byte array.
      Returns:
        the actual bytes making up the encoded body of the T61 string.

    - #### hashCode

          public int hashCode()

      Deprecated.
      Specified by:
        `hashCode` in class `ASN1Primitive`